package com.ydl.ydlcommon.bean

import android.os.Build

/**
 * Created by haorui on 2019-08-15.
 * Des:
 */
class StatusBarOptions {
    var isAddStatusView: Boolean = false
    var statusBarDarkMode: Boolean = false
    var statusColor: String ?= null
        get() {
            if (field!=null){
                return field
            }else{
                if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                    return "#FFFFFF"
                }
                return "#1da1f2"
            }
        }

    constructor(isAddStatusView: Boolean = false, statusBarDarkMode: Boolean= false) {
        this.isAddStatusView = isAddStatusView
        this.statusBarDarkMode = statusBarDarkMode
    }

    constructor()

}
